MyGUI::WidgetManager Class Reference

`#include <MyGUI_WidgetManager.h>`

Inheritance diagram for MyGUI::WidgetManager:
[legend]

## Public Member Functions

| WidgetManager (const WidgetManager &)=delete
WidgetManager & | operator= (const WidgetManager &)=delete
| WidgetManager ()
void | initialise ()
void | shutdown ()
Widget * | createWidget (WidgetStyle _style, std::string_view _type, std::string_view _skin, const IntCoord &_coord, Widget *_parent, ICroppedRectangle *_cropeedParent, std::string_view _name)
void | destroyWidget (Widget *_widget)
void | destroyWidgets (const VectorWidgetPtr &_widgets)
void | destroyWidgets (EnumeratorWidgetPtr _widgets)
void | registerUnlinker (IUnlinkWidget *_unlink)
void | unregisterUnlinker (IUnlinkWidget *_unlink)
void | unlinkFromUnlinkers (Widget *_widget)
bool | isFactoryExist (std::string_view _type)
void | _deleteWidget (Widget *_widget)
void | _deleteDelayWidgets ()
const std::string & | getCategoryName () const
Public Member Functions inherited from MyGUI::MemberObsolete< WidgetManager >
void | destroyWidgetsVector (VectorWidgetPtr &_widgets)
Widget * | findWidgetT (std::string_view _name, bool _throw=true)
Widget * | findWidgetT (std::string_view _name, std::string_view _prefix, bool _throw=true)
void | parse (Widget *_widget, std::string_view _key, std::string_view _value)

## Static Public Member Functions

static WidgetManager & | getInstance ()
static WidgetManager * | getInstancePtr ()
static std::string_view | getClassTypeName ()

## Detailed Description

Definition at line 20 of file MyGUI_WidgetManager.h.

## Constructor & Destructor Documentation

## WidgetManager() [1/2]

MyGUI::WidgetManager::WidgetManager | ( | const WidgetManager & |  | ) |

delete

## WidgetManager() [2/2]

MyGUI::WidgetManager::WidgetManager | ( |  | ) |

Definition at line 42 of file MyGUI_WidgetManager.cpp.

## Member Function Documentation

## _deleteDelayWidgets()

void MyGUI::WidgetManager::_deleteDelayWidgets | ( |  | ) |

Definition at line 184 of file MyGUI_WidgetManager.cpp.

## _deleteWidget()

void MyGUI::WidgetManager::_deleteWidget | ( | Widget * | _widget | ) |

Definition at line 170 of file MyGUI_WidgetManager.cpp.

## createWidget()

Widget * MyGUI::WidgetManager::createWidget | ( | WidgetStyle | _style,
|  | std::string_view | _type,
|  | std::string_view | _skin,
|  | const IntCoord & | _coord,
|  | Widget * | _parent,
|  | ICroppedRectangle * | _cropeedParent,
|  | std::string_view | _name )

Definition at line 102 of file MyGUI_WidgetManager.cpp.

## destroyWidget()

void MyGUI::WidgetManager::destroyWidget | ( | Widget * | _widget | ) |

Destroy _widget

Definition at line 123 of file MyGUI_WidgetManager.cpp.

## destroyWidgets() [1/2]

void MyGUI::WidgetManager::destroyWidgets | ( | const VectorWidgetPtr & | _widgets | ) |

Destroy vector of widgets

Definition at line 128 of file MyGUI_WidgetManager.cpp.

## destroyWidgets() [2/2]

void MyGUI::WidgetManager::destroyWidgets | ( | EnumeratorWidgetPtr | _widgets | ) |

Destroy Enumerator of widgets

Definition at line 133 of file MyGUI_WidgetManager.cpp.

## getCategoryName()

const std::string & MyGUI::WidgetManager::getCategoryName | ( |  | ) | const

Definition at line 194 of file MyGUI_WidgetManager.cpp.

## getClassTypeName()

std::string_view MyGUI::WidgetManager::getClassTypeName | ( |  | ) |

static

## getInstance()

WidgetManager & MyGUI::WidgetManager::getInstance | ( |  | ) |

static

## getInstancePtr()

WidgetManager * MyGUI::WidgetManager::getInstancePtr | ( |  | ) |

static

## initialise()

void MyGUI::WidgetManager::initialise | ( |  | ) |

Definition at line 48 of file MyGUI_WidgetManager.cpp.

## isFactoryExist()

bool MyGUI::WidgetManager::isFactoryExist | ( | std::string_view | _type | ) |

Check if factory with specified widget type exist

Definition at line 160 of file MyGUI_WidgetManager.cpp.

## operator=()

WidgetManager & MyGUI::WidgetManager::operator= | ( | const WidgetManager & |  | ) |

delete

## registerUnlinker()

void MyGUI::WidgetManager::registerUnlinker | ( | IUnlinkWidget * | _unlink | ) |

Register unlinker (call unlink if for any destroyed widget)

Definition at line 138 of file MyGUI_WidgetManager.cpp.

## shutdown()

void MyGUI::WidgetManager::shutdown | ( |  | ) |

Definition at line 86 of file MyGUI_WidgetManager.cpp.

## unlinkFromUnlinkers()

void MyGUI::WidgetManager::unlinkFromUnlinkers | ( | Widget * | _widget | ) |

Unlink widget

Definition at line 152 of file MyGUI_WidgetManager.cpp.

## unregisterUnlinker()

void MyGUI::WidgetManager::unregisterUnlinker | ( | IUnlinkWidget * | _unlink | ) |

Unregister unlinker (call unlink if for any destroyed widget)

Definition at line 144 of file MyGUI_WidgetManager.cpp.

The documentation for this class was generated from the following files:

- MyGUI_WidgetManager.h
- MyGUI_WidgetManager.cpp